RedHat: RHSA-2023-0114:01 Important: kernel-rt | LinuxSecurity.com
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: kernel-rt security and bug fix update
Advisory ID:       RHSA-2023:0114-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://access.redhat.com/errata/RHSA-2023:0114
Issue date:        2023-01-12
CVE Names:         CVE-2022-2964 CVE-2022-4139 
=====================================================================

1. Summary:

An update for kernel-rt is now available for Red Hat Enterprise Linux 8.

Red Hat Product Security has rated this update as having a security impact
of Important. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available for each vulnerability
from the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux Real Time for NFV (v. 8) - x86_64
Red Hat Enterprise Linux for Real Time (v. 8) - x86_64

3. Description:

The kernel-rt packages provide the Real Time Linux Kernel, which enables
fine-tuning for systems with extremely high determinism requirements.

Security Fix(es):

* kernel: memory corruption in AX88179_178A based USB ethernet device.
(CVE-2022-2964)

* kernel: i915: Incorrect GPU TLB flush can lead to random memory access
(CVE-2022-4139)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

Bug Fix(es):

* The latest RHEL 8.7.z1 kernel changes need to be merged into the RT
source tree to keep source parity between the two kernels. (BZ#2137411)

* [DELL EMC 8.6-RT BUG] System is not booting into RT Kernel with perc12.
(BZ#2139867)

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

The system must be rebooted for this update to take effect.

5. Bugs fixed (https://bugzilla.redhat.com/):

2067482 - CVE-2022-2964 kernel: memory corruption in AX88179_178A based USB ethernet device.
2147572 - CVE-2022-4139 kernel: i915: Incorrect GPU TLB flush can lead to random memory access

6. Package List:

Red Hat Enterprise Linux Real Time for NFV (v. 8):

Source:
kernel-rt-4.18.0-425.10.1.rt7.220.el8_7.src.rpm

x86_64:
kernel-rt-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-core-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-debug-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-debug-core-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-debug-debuginfo-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-debug-devel-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-debug-kvm-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-debug-modules-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-debug-modules-extra-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-debuginfo-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-debuginfo-common-x86_64-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-devel-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-kvm-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-modules-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-modules-extra-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm

Red Hat Enterprise Linux for Real Time (v. 8):

Source:
kernel-rt-4.18.0-425.10.1.rt7.220.el8_7.src.rpm

x86_64:
kernel-rt-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-core-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-debug-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-debug-core-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-debug-debuginfo-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-debug-devel-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-debug-modules-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-debug-modules-extra-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-debuginfo-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-debuginfo-common-x86_64-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-devel-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-modules-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
kernel-rt-modules-extra-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2022-2964
https://access.redhat.com/security/cve/CVE-2022-4139
https://access.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2023 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBY7/jAtzjgjWX9erEAQhnKg//UYktJzLxcCq9/muMdr2bc0okwpJuoXPX
JsYZ5YK/IkGX3/b7yqmrdXd3pEm/gLhANI4t9AvcSV2xbJVCyDbcGSz62P2NRI/k
E4Rf+qGenUeGmez9T/FojeEU0vkpsogRuCGb0T69j77lVdoNdublAxdfz/UdVDz9
K2KMIDkLxBuQYmAkTqCIqBjXm/dkQWJADwUegbP12akZ8x0wpVSPdpxvV9UUPKMz
AluaBqgA/kjznqxHGNFubpAqLfgHl5BVGhX8eK7UrXdDbXNtEfdT6dHbGVqBxm2L
ZLifoT0hWJqUseM/aIEMKJGnS8Hg78Mvj1WHUa58n3ieQSt5sfBqlTaEY5u2f+DT
Tlnss59pV6ArHSdG3wcj3u2vBxePtvPt7xtFT6uwaP6MwyHHPyg/K5ttsJXt1AAl
pglIYnqai5sWqbXS16vJCMbbAoM2obgqefh55RwqyzzdEEthTvJKEvPZrSVi/3wv
Vv6jgEI8NSRWFLF81ZbGrDyr12WHvq25c6lYuNr2RvZipFCmcE4V7lp9ujXytfZd
f1Id/aBE9ankE2C9a8jGwD9g0qI3Z5U/x/r2n+AByXnS9xuNf+otwK8DCxCgciJG
TuuQ+7Ki5ETHHuEn8cKmh6xJKIr+4d8xC083JvD9E2WQBQo0iRMMs+Dhi7yP6sSh
NVRYfRyxVzA=
=EhaD
-----END PGP SIGNATURE-----
--
RHSA-announce mailing list
[email protected]
https://listman.redhat.com/mailman/listinfo/rhsa-announce

RedHat: RHSA-2023-0114:01 Important: kernel-rt

An update for kernel-rt is now available for Red Hat Enterprise Linux 8

Summary

The kernel-rt packages provide the Real Time Linux Kernel, which enables fine-tuning for systems with extremely high determinism requirements.
Security Fix(es):
* kernel: memory corruption in AX88179_178A based USB ethernet device. (CVE-2022-2964)
* kernel: i915: Incorrect GPU TLB flush can lead to random memory access (CVE-2022-4139)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.
Bug Fix(es):
* The latest RHEL 8.7.z1 kernel changes need to be merged into the RT source tree to keep source parity between the two kernels. (BZ#2137411)
* [DELL EMC 8.6-RT BUG] System is not booting into RT Kernel with perc12. (BZ#2139867)

Solution

For details on how to apply this update, which includes the changesdescribed in this advisory, refer to:https://access.redhat.com/articles/11258The system must be rebooted for this update to take effect.

References

https://access.redhat.com/security/cve/CVE-2022-2964 https://access.redhat.com/security/cve/CVE-2022-4139 https://access.redhat.com/security/updates/classification/#important

Package List

Red Hat Enterprise Linux Real Time for NFV (v. 8):
Source: kernel-rt-4.18.0-425.10.1.rt7.220.el8_7.src.rpm
x86_64: kernel-rt-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-core-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-debug-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-debug-core-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-debug-debuginfo-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-debug-devel-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-debug-kvm-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-debug-modules-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-debug-modules-extra-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-debuginfo-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-debuginfo-common-x86_64-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-devel-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-kvm-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-modules-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-modules-extra-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
Red Hat Enterprise Linux for Real Time (v. 8):
Source: kernel-rt-4.18.0-425.10.1.rt7.220.el8_7.src.rpm
x86_64: kernel-rt-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-core-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-debug-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-debug-core-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-debug-debuginfo-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-debug-devel-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-debug-modules-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-debug-modules-extra-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-debuginfo-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-debuginfo-common-x86_64-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-devel-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-modules-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm kernel-rt-modules-extra-4.18.0-425.10.1.rt7.220.el8_7.x86_64.rpm
These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from https://access.redhat.com/security/team/key/

Severity
Advisory ID: RHSA-2023:0114-01
Product: Red Hat Enterprise Linux
Advisory URL: https://access.redhat.com/errata/RHSA-2023:0114
Issued Date: : 2023-01-12
CVE Names: CVE-2022-2964 CVE-2022-4139

Topic

An update for kernel-rt is now available for Red Hat Enterprise Linux 8.Red Hat Product Security has rated this update as having a security impactof Important. A Common Vulnerability Scoring System (CVSS) base score,which gives a detailed severity rating, is available for each vulnerabilityfrom the CVE link(s) in the References section.

Relevant Releases Architectures

Red Hat Enterprise Linux Real Time for NFV (v. 8) - x86_64

Red Hat Enterprise Linux for Real Time (v. 8) - x86_64

Bugs Fixed

2067482 - CVE-2022-2964 kernel: memory corruption in AX88179_178A based USB ethernet device.

2147572 - CVE-2022-4139 kernel: i915: Incorrect GPU TLB flush can lead to random memory access

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.